#!/bin/sh
#
# fwupnpcp
#
# description: UPnP CP
# processname: fwupnpcp


BIN_PATH=/opt/nss/bin/fwupnpcp
[ -x $BIN_PATH ] || exit 0

RETVAL=0

PATH=/bin:/sbin:/usr/bin:usr/sbin

# See how we were called
case "$1" in
 start)
	$BIN_PATH >& /dev/null
 	RETVAL=$?
	;;
 stop)
 	FWUPNPCP_PID=`pidof fwupnpcp`
	[ -z $FWUPNPCP_PID ] && exit 0

	kill -9 $FWUPNPCP_PID >& /dev/null
	RETVAL=$?
	until [ $RETVAL -eq 0 ]
	do
		pidof fwupnpcp | xargs kill -9  >& /dev/null
		RETVAL=$?

		sleep 1
 		FWUPNPCP_PID=`pidof fwupnpcp`
		[ -z $FWUPNPCP_PID ] && RETVAL=0
	done
 	;;
 restart|reload)
	$0 stop
	$0 start
	RETVAL=$?
	;;
 *)
	echo "Usage: fwupnpcp.sh {start|stop|restart}"
 	RETVAL=1	
 	;;
esac

exit $RETVAL 

